#ifndef Head
#define Head

// INCLUDE 
    #include <stdio.h>
    #include <stdlib.h>
    #include <limits.h>

// DEFINE
    #define BUFF_MAX 10 //(char) <= 254
    #define IN_BUFF_CHARS 10 //(char) <= 254
    
//TypeDef

// FUNC
    // === io.c ===
    MATRIX2D* create_matrix2d(int rows, int cols);
    char buff_input(char *inbuff, char *_buff);
    char cmd_buff(char* _buff,char** _charCommands,char NUM_OF_CHAR_COMMANDS);
    char get_matrix_num(void);
    int get_num(void);

#endif
